
package org.dive4elements.river.artifacts.uinfo.salix;

import java.util.LinkedHashMap;

import org.dive4elements.artifacts.Artifact;
import org.dive4elements.artifacts.CallMeta;
import org.dive4elements.river.artifacts.states.RadioSelect;

/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class ScenarioTypeState extends RadioSelect {
    private static final long serialVersionUID = 1L;

    public ScenarioTypeState() {
        super();
    }

    @Override
    protected LinkedHashMap<String, String> makeEntries(final CallMeta meta, final Artifact artifact) {
        final LinkedHashMap<String, String> entries = new LinkedHashMap<>();
        entries.put("scenarioType.option1", null);
        entries.put("scenarioType.option2", null);
        entries.put("scenarioType.option3", null);
        return entries;

    }
}